package com.trs.ggzyexchange.service.impl;

import com.trs.ggzyexchange.entity.ZrzyJyzbBidwinNotice;
import com.trs.ggzyexchange.mapper.ZrzyJyzbBidwinNoticeMapper;
import com.trs.ggzyexchange.service.ZrzyJyzbBidwinNoticeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author trs
 * @since 2023-12-28
 */
@Service
public class ZrzyJyzbBidwinNoticeServiceImpl extends ServiceImpl<ZrzyJyzbBidwinNoticeMapper, ZrzyJyzbBidwinNotice> implements ZrzyJyzbBidwinNoticeService {

    @Autowired
    private ZrzyJyzbBidwinNoticeMapper zrzyJyzbBidwinNoticeMapper;

    @Override
    public int countNoticeByRegionCode(String regionCode) {
        return zrzyJyzbBidwinNoticeMapper.countNoticeByRegionCode(regionCode);
    }

    @Override
    public int countNoticeByRegionCodeAndTime(String region_code, Long resultStartTime, Long resultEndTime) {
        return zrzyJyzbBidwinNoticeMapper.countNoticeByRegionCodeAndTime(region_code,resultStartTime,resultEndTime);
    }

    @Override
    public ZrzyJyzbBidwinNotice getSumMoneyByRegionCode(String regionCode) {
        return zrzyJyzbBidwinNoticeMapper.getSumMoneyByRegionCode(regionCode);
    }

    @Override
    public ZrzyJyzbBidwinNotice getSumMoney() {
        return zrzyJyzbBidwinNoticeMapper.getSumMoney();
    }
}
